# Copyright (c) 2009-2010 oc2pus
# Copyright (c) 2010      Pascal Bleser <pascal.bleser@opensuse.org>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

# norootforbuild

Summary:		DVD authoring program
Name:			bombono
Version:		1.0.1
Release:		1.5
License:		GPL+
Group:			Productivity/Multimedia/Other
URL:			http://www.bombono.org
Source:			http://prdownloads.sourceforge.net/bombono/%{name}-dvd-%{version}.tar.bz2
Source99:       bombono-rpmlintrc
Patch1:         bombono-remove_BOOST_SYSTEM_NO_DEPRECATED.patch
Patch2:         bombono-optflags.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libffmpeg-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtkmm2-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libxml++-devel
BuildRequires:	libxml2-devel
BuildRequires:	mjpegtools-devel libquicktime-devel
BuildRequires:	boost-devel
BuildRequires:	scons
BuildRequires:	enca-devel
BuildRequires:	update-desktop-files
BuildRequires:	gcc-c++
Requires:		dvdauthor
Requires:		mjpegtools
Requires:		dvd+rw-tools
Requires:		twolame
Provides:       bombono-dvd = %{version}-%{release}

%description
Bombono DVD is a DVD authoring program for Linux. It is made easy
to use and has nice and clean GUI (Gtk).

The main features of Bombono DVD are:
* Excellent MPEG viewer: Timeline and Monitor
* Real WYSIWYG Menu Editor with live thumbnails
* Comfortable Drag-n-Drop support
* You can author to folder, make ISO-image or burn directly to DVD
* Reauthoring: you can import video from DVD discs. 

Bombono DVD is Open Source software and freely distributed under GPL
license.




Authors:
-------
    Ilya Murav'jov <muravev@yandex.ru>


%lang_package

%prep
%setup -q -n %{name}-dvd-%{version}

boostver=$(rpm -q --qf '%{VERSION}\n' boost-devel)
boostmajor=$(echo "$boostver"|cut -f1 -d.)
boostminor=$(echo "$boostver"|cut -f2 -d.)
if [ $boostmajor -lt 1 -o \( $boostmajor = 1 -a $boostmajor -lt 44 \) ]; then
%patch1
fi

%patch2

%__chmod 644 COPYING

%if %suse_version <= 1110
%__sed -i -e 's|#include <mgui/sdk/textview.h>|#include <mgui/sdk/textview.h>\n#include <gtk/gtkwindow.h>|g' \
	src/mgui/mux.cpp
%endif

%build
OPTFLAGS="%{optflags}" \
scons %{?jobs:-j%{jobs}} \
    BUILD_CFG=release \
    BUILD_BRIEF=false \
    BUILD_QUICK=false \
    CC="%__cc" \
    CXX="%__cxx" \
    CFLAGS="%{optflags}" \
    CXXFLAGS="%{optflags}" \
    TEST=false \
    TEST_BUILD=false \
    USE_EXT_BOOST=true \
    BOOST_INCLUDE="%{_includedir}" \
    BOOST_LIBPATH="%{_libdir}" \
    DVDREAD_INCLUDE="%{_includedir}" \
    DVDREAD_LIBPATH="%{_libdir}" \
	PREFIX=%{_prefix} \
	DESTDIR="$RPM_BUILD_ROOT"

%install
OPTFLAGS="%{optflags}" \
scons \
    BUILD_CFG=release \
    BUILD_BRIEF=false \
    BUILD_QUICK=false \
    CC="%__cc" \
    CXX="%__cxx" \
    CFLAGS="%{optflags}" \
    CXXFLAGS="%{optflags}" \
    TEST=false \
    TEST_BUILD=false \
    USE_EXT_BOOST=true \
    BOOST_INCLUDE="%{_includedir}" \
    BOOST_LIBPATH="%{_libdir}" \
    DVDREAD_INCLUDE="%{_includedir}" \
    DVDREAD_LIBPATH="%{_libdir}" \
	PREFIX=%{_prefix} \
	DESTDIR="$RPM_BUILD_ROOT" \
    install

%suse_update_desktop_file -i %{name}-dvd AudioVideo AudioVideoEditing

%__chmod 755 %{buildroot}%{_datadir}/bombono/resources/scons_authoring/menu_SConscript

%find_lang %{name}-dvd

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files lang -f %{name}-dvd.lang

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}-dvd
%{_bindir}/mpeg2demux
%dir %{_datadir}/bombono
%{_datadir}/bombono/*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Thu Mar 17 2011 detlef@links2linux.de
- update to 1.0.1
* Fri Jan  7 2011 pascal.bleser@opensuse.org
- update to 1.0.0-1 (upstream git revision 1e9303ab8c5705491ad6ab693c9f8c9ada341fcb) to fix using bombono-dvd with newer ffmpeg
* Fri Dec 31 2010 pascal.bleser@opensuse.org
- update to 1.0.0
* Sun Apr 18 2010 toni@links2linux.de
- update to 0.6.0
* Wed Apr  7 2010 toni@links2linux.de
- update to 0.5.10
* Wed Nov 11 2009 toni@links2linux.de
- added a patch to support twolame instead of toolame
* Sat Oct 24 2009 toni@links2linux.de
- Initial package 0.5.2
